/* link style-all.css file */

/* Header, nav bar */
/* header is styled in style-all.css file */

/* variables */
:root{
    /* 1vw ~= 19px */
    --hero-back-font-size: 12.5vw;
    --hero-front-font-size: 2vw;
    --tab-head-font-size: 1vw;
    --tb-tab-padding: 1.6vw;
    --lr-tab-padding: 3.2vw;
    --white-text-color: #F1F1F1;
    --color-non-active: #d3d3d3;
    --color-active: #000;
    --tab-border-non-active: 3px solid #d3d3d3;
    --tab-border-active: 3px solid #000;
    --table-font-size: 1vw;
    --form-table-font-size: 1vw;
    --grid-row-column-gap: 2.5vw;
    --h2-head-font-size: 2vw;
    --table-cell-padding: 0.7vw;
    --btn-font-size: 1.3vw; 
}
/* animations */
@keyframes smooth-appear {
    from{opacity: 0.5;}
    to{opacity: 1;}
}

/* hero logo section */
.hero-section{
    margin-top: 5.2rem;
    text-transform: uppercase;
    height: 30vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: var(--hero-front-font-size);
}
.hero-section>p:nth-child(2){
    font-weight: 900;
}
.hero-section::before{
    content: 'BOOK A TABLE';
    white-space: nowrap;
    color: var(--white-text-color);
    font-weight: 900;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    font-size: var(--hero-back-font-size);
    transition: .3s all ease-in-out;
    overflow: hidden;
}
.hero-section:hover::before{
    transform: scale(.7);
}

/* branches tabs */
.tabs-container{
    width: 100%;
    padding-top: 1.5rem;
}
.tabs{
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}
.tabs-head{
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    overflow-x: auto;
    text-transform: uppercase;
    font-weight: bold;
    white-space: nowrap;
    font-size: var(--tab-head-font-size);
}
.tabs-head::-webkit-scrollbar{
    display: none;
}
.tabs-head > div.tab-toggle:last-child{
    margin-right: 0px;
}
.tab-toggle{
    cursor: pointer;
    transition: .5s all;
    border-top: var(--tab-border-non-active);
    color: var(--color-non-active);
    padding-top: 5px;
    margin-right: 30px;
}
.tab-toggle.active{
    color: var(--color-active);
    border-top: var(--tab-border-active);
}
.tabs-body{
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}
.tab-content{
    width: 100%;
    padding: var(--tb-tab-padding) var(--lr-tab-padding);
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    animation: smooth-appear 500ms ease-in-out;
    position: relative;
}
.tab-content>h2{
    font-size: var(--h2-head-font-size);
    padding: 8rem 0px;
    font-weight: 900;
}
.tab-content.active{
    display: flex;
}
.check-container{
    width: 100%;
    padding: 2rem 0px;
    display: flex;
    flex-direction: column;
}
.check-container>h2{
    font-weight: 900;
    font-size: var(--h2-head-font-size);
    text-align: center;
}
.check-container>.date-time{
    width: 100%;
    padding: 2rem 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 2rem;
    margin: auto;
    font-size: var(--form-table-font-size);
}
.date-time input, .date-time select{
    background-color: white;
    border: 1px solid black;
    border-radius: 20px;
    padding: 5px 10px;
    font-size: var(--form-table-font-size);
    font-family: 'Montserrat', sans-serif;
    width: 100%;
}
.date-time input:focus, .date-time select:focus{
    outline: none;
}
.tab-content>.table-layout{
    width: 60%;
    position: relative;
    overflow: hidden;
}
.table-layout>.table-layout-image{
    width: 100%;
    z-index: -1;
}
.table-layout>.table-layout-image>img{
    width: 100%;
}
.table-layout>.tables{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    /* background-color: rgba(0, 255, 255, 0.2); */
}
.tables{
    width: 100%;
    padding: var(--grid-row-column-gap);
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    row-gap: var(--grid-row-column-gap);
    column-gap: var(--grid-row-column-gap);
    /* align-items: center; */
}
.tables>div{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* background-color: rgba(0, 255, 0, 0.3); */
    /* position: relative; */
}
.tables>div[id]{
    cursor: pointer;
}
/* .tables>div::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
} */
.tables>.hidden-table{
    visibility: hidden;
}
.tables>div>img{
    width: 100%;
}
.tables>div>h3{
    text-transform: uppercase;
    white-space: nowrap;
    text-align: center;
    font-size: var(--table-font-size);
    font-weight: 500;
}
.book-table-form{
    text-transform: uppercase;
    padding: 5rem 0px 1rem;
}
.book-table-form>h2{
    font-weight: 900;
    font-size: var(--h2-head-font-size);
    text-align: center;
}
.book-table-form>form>table{
    font-size: var(--form-table-font-size);
    padding: var(--tb-tab-padding) 0px;
}
.book-table-form>form>table>tbody>tr>td{
    padding: var(--table-cell-padding);
}
.book-table-form>form>table>tbody>tr>td:nth-child(1){
    font-weight: bold;
}
form input[type], form select{
    background-color: white;
    border: 1px solid black;
    border-radius: 20px;
    padding: 5px 10px;
    font-size: var(--form-table-font-size);
    font-family: 'Montserrat', sans-serif;
    width: 100%;
}
.date-time>div>input, .date-time>div>select{
    width: auto;
}
form input[type]:focus, form select:focus{
    outline: none;
}
form select option:disabled{
    background-color: gray;
    color: white;
}
form input[type="submit"], button{
    background-color: black;
    border: none;
    color: white;
    border-radius: 25px;
    padding: 0.5rem 3rem;
    font-size: var(--btn-font-size);
    display: block;
    width: auto;
    margin: auto;
    cursor: pointer;
}
#error{
    width: 90%;
    margin: auto;
    color: red;
    text-align: center;
    padding: 2rem 0px;
    font-weight: bold;
}


/* media queries */
/* media queries for mobile */
@media screen and  (min-width: 320px) and (max-width: 768px) {
    :root{
        --hero-front-font-size: 3.5vw;
        --tab-head-font-size: 3.5vw;
        --lr-tab-padding: 2.5vw;
        --grid-row-column-gap: 3vw;
        --h2-head-font-size: 4.2vw;
        --table-cell-padding: 1.5vw;
        --btn-font-size: 4vw;
        --table-font-size: 1.1vw;  
        --form-table-font-size: 2.5vw;
    }
    /* hero logo section */
    .hero-section{
        margin-top: 5.2rem;
        height: 15vh;
    }
    /* branches tabs */
    .tabs-container{
        padding-top: 0.75rem;
    }
    .tabs-head{
        width: 85%;
        justify-content: flex-start;
    }
    .tab-toggle{
        margin-right: 25px;
    }
    .check-container>.date-time{
        width: 100%;
        padding: 1rem 0px;
        column-gap: 1rem;
    }
    /* .tab-content>.date-time>form{
        column-gap: 1rem;
    } */
    .tab-content>.table-layout{
        width: 90%;
        /* overflow: auto; */
    }
    form input[type]{
        border: 0.5px solid black;
        border-radius: 15px;
        padding: 5px 8px;
    }
    form input[type="submit"], button{
        border-radius: 25px;
        padding: 0.5rem 2rem;
    }
    
}
/* end media queries for mobile */




